classification
Title: Update documentation on doctest/unittest2 integration
Type: Stage: resolved
Components: Documentation Versions: Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, georg.brandl, hpk, michael.foord, pfein
Priority: normal Keywords: patch

Created on 2010-04-28 21:51 by pfein, last changed 2010-07-10 21:37 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
doctest_unittest_integration_doc.diff pfein, 2010-04-28 21:51
Messages (5)
msg104468 - (view) Author: Peter Fein (pfein) Date: 2010-04-28 21:51
The documentation on integrating doctests in a file of unittests is confusing and out of date.  This patch updates the documentation to use unittest2 test discovery.
msg104469 - (view) Author: Peter Fein (pfein) Date: 2010-04-28 21:52
See http://lists.idyll.org/pipermail/testing-in-python/2010-April/003039.html for discussion
msg104514 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2010-04-29 14:22
Looks like a good addition to the documentation to me.
msg105062 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-05-05 17:27
I can’t tell if the code is correct (we can trust Michael about that), but the wording and the content are ok for me.
msg109861 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-07-10 12:20
Applied in r82764. Thanks!
History
Date User Action Args
2010-07-10 21:37:35eric.araujosetstage: resolved
2010-07-10 12:20:46georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg109861

resolution: fixed
2010-05-05 17:27:28eric.araujosetnosy: + eric.araujo
messages: + msg105062
2010-04-30 19:42:54hpksetnosy: + hpk
2010-04-29 14:22:12michael.foordsetnosy: + michael.foord
messages: + msg104514
2010-04-28 21:52:33pfeinsetmessages: + msg104469
2010-04-28 21:51:52pfeincreate